Package net.shibboleth.idp.cas.protocol

# Class AbstractProtocolResponse

java.lang.Object
net.shibboleth.idp.cas.protocol.AbstractProtocolResponse

Direct Known Subclasses:
  `ProxyTicketResponse`, `TicketValidationResponse`

public class AbstractProtocolResponse extends Object
Abstract base class for protocol response messages.

Since:
  3.2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`errorCode`
CAS protocol error code populated on failure.
`private String`
`errorDetail`
CAS protocol error detail populated on failure.

## Constructor Summary

Constructors
Constructor
Description
`AbstractProtocolResponse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getErrorCode()`
Get the non-null error code on a ticket validation failure condition.
`String`
`getErrorDetail()`
Get the non-null error detail on a ticket validation failure condition.
`void`
`setErrorCode(String code)`
Set the non-null error code on a ticket validation failure condition.
`void`
`setErrorDetail(String code)`
Set the non-null error detail on a ticket validation failure condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### errorCode

@Nullable private String errorCode
CAS protocol error code populated on failure.

### errorDetail

@Nullable private String errorDetail
CAS protocol error detail populated on failure.

## Constructor Details

### AbstractProtocolResponse

public AbstractProtocolResponse()

## Method Details

### getErrorCode

@Nullable public String getErrorCode()
Get the non-null error code on a ticket validation failure condition.

Returns:
  non-null error code on a ticket validation failure condition

### setErrorCode

public void setErrorCode(@Nonnull String code)
Set the non-null error code on a ticket validation failure condition.

Parameters:
  `code` - non-null error code on a ticket validation failure condition

### getErrorDetail

@Nullable public String getErrorDetail()
Get the non-null error detail on a ticket validation failure condition.

Returns:
  non-null error detail on a ticket validation failure condition

### setErrorDetail

public void setErrorDetail(@Nonnull String code)
Set the non-null error detail on a ticket validation failure condition.

Parameters:
  `code` - non-null error detail on a ticket validation failure condition